Skip to main content
`Ctrl`+`K`

# BVDotColumn

Computes multiple dot products of a column against all the previous columns of a `BV`.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVDotColumn(BV X,PetscInt j,PetscScalar q[])

Collective

## Input Parameters

- X - basis vectors

- j - the column index

## Output Parameter

- q - an array where the result must be placed

## Notes

This operation is equivalent to `BVDotVec()` but it uses column `j` of `X` rather than taking a `Vec` as an argument. The number of active columns of `X` is set to `j` before the computation, and restored afterwards. If `X` has leading columns specified, then these columns do not participate in the computation. Therefore, the length of array `q` must be at least `j` minus the number of leading columns.

## Developer Notes

If `q` is `NULL`, then the result is written in position `nc+l` of the internal buffer vector, see `BVGetBufferVec()`.

## See Also

BV: Basis Vectors, `BVDot()`, `BVDotVec()`, `BVSetActiveColumns()`, `BVSetMatrix()`

## Level

intermediate

## Location

src/sys/classes/bv/interface/bvglobal.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages